/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author:	Luigi
Theme URI: http://impreza.us-themes.com/
Author URI: https://itmedianet.it/
*/

/*Add your own styles here:*/

@import 'assets/css/layout.css';
@import 'assets/css/typo.css';
@import 'assets/css/form.css';
@import 'assets/css/header-footer.css';
@import 'assets/css/queries.css';

:root {
	--imn-black: #191919;
	--imn-red: #C53E32;
	--imn-grey: #8089A2;
}

.txt-right { text-align: right; }
.txt-center { text-align: center; }

.txt-white, .txt-white h1, .txt-white h2, .txt-white h3, .txt-white h4 { color: white; }
.txt-red, a.txt-red:hover { color: var(--imn-red); }
.txt-grey { color: var(--imn-grey); }

.mt-10 { margin-top: 10px; }
.mt-15 { margin-top: 15px; }
.mt-20 { margin-top: 20px; }
.mt-30 { margin-top: 30px; }
.mt-40 { margin-top: 40px; }
.mt-50 { margin-top: 50px; }
.mt-55 { margin-top: 55px; }
.mt-60 { margin-top: 60px; }
.mt-70 { margin-top: 70px; }
.mt-80 { margin-top: 80px; }
.mt-100 { margin-top: 100px; }
.mt-125 { margin-top: 125px; }

.mb-80 { margin-bottom: 80px; }

.ml-290 { margin-left: 290px; }
.ml-224 { margin-left: 224px; }
.mr-224 { margin-right: 224px; }

.fw-300, .fw-300 h2 { font-weight: 300; }


.fs-13 {
	font-size: 13px;
	line-height: 18px;
}
.fs-20 {
	font-size: 20px;
	line-height: 32px;
}
.fs-24 h2,
.fs-24 {
	font-size: 24px;
	line-height: 34px;
}
.fs-26 h3,
.fs-26 h2,
.fs-26 {
	font-size: 26px;
	line-height: 36px;
}
.fs-90, .fs-90 h2 {
	font-size: 90px;
	line-height: 100px;
}
.fs-30 {
	font-size: 30px;
	line-height: 45px; 
}

.f-mono { font-family: 'IBM Plex Mono'; }
.f-sans, .f-sans h2 { font-family: 'IBM Plex Sans'; }

.flex-col > .vc_column-inner {
	display: flex;
	flex-direction: column;
}
.italic { font-style: italic; }

.h-fit { height: fit-content; }
.h-58, .h-58 img { 
	height: 58px;
	width: fit-content;
}

